﻿using Android.App;
using Android.Widget;
using Android.OS;
using NetStandardLib;

namespace AndroidApp {
	[Activity (Label = "AndroidApp", MainLauncher = true, Icon = "@mipmap/icon")]
	public class MainActivity : Activity {
		int count = 1;

		protected override void OnCreate (Bundle savedInstanceState)
		{
			base.OnCreate (savedInstanceState);

			// Set our view from the "main" layout resource
			SetContentView (Resource.Layout.Main);

			// Get our button from the layout resource,
			// and attach an event to it
			Button button = FindViewById<Button> (Resource.Id.myButton);

			button.Click += delegate { button.Text = $"{count++} clicks!"; };

			var client = ClassTest.TestClient; // Requires System.Net.Http
			var color = ClassTest.TestColor; // Doesn't require anything because for historical reasons it's in Mono.Android.dll (so we're lucky here). It could very well have been in a separate System.Drawing.dll
		}
	}
}

